Bug 125713 - Would like UP kernel to have IO-APIC support (CONFIG_X86_UP_IOAPIC)
Would like UP kernel to have IO-APIC support (CONFIG_X86_UP_IOAPIC)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-10 11:03 EDT by Need Real Name
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:07:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-06-10 11:03:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
For some systems - especially during the install of FC2 - it would be
very helpful to config UP IO-APIC support into the kernel.  This would
help when some of the legacy PIC support is not correct (some BIOSs)
or not there at all (some hardware).

According to the "notes" related to this option, nothing is harmed by
including it and in some cases for some devices, this may be the only
way to access the hardware (interrupts) when running the install
kernel (UP kernel).  Of course this option is on (correctly) in the
SMP kernels and no change is requested (or needed) with the SMP kernels.

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358

How reproducible:
Always

Steps to Reproduce:
1.Use hardware with Legacy PIC support not functioning (remain nameless).
2.Install FC2 
3.If doing a network install and NIC(s) have no interrupts - bad news.
    

Actual Results:  Unable to do network installations.

Expected Results:  If UP IO-APIC support were configured, the NIC(s)
would function and the network installation would be possible (on this
hardware).

Additional info:
Comment 1 Arjan van de Ven 2004-06-10 11:05:27 EDT
unfortionately this breaks too many machines out there, so we're not
going to be able to do this.
Comment 3 Alan Cox 2004-06-18 22:27:57 EDT
Agreed - even a blacklist would need to be a whitelist or we would
have megabytes of dmi blacklist tables.

As regards 440GX this is fixed properly in 2.6.7
Comment 4 Dave Jones 2005-04-16 00:07:32 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.